Bug 461378 - [compiz] Pointer theme doesn't be changed on some widget of gtk2 programs.
[compiz] Pointer theme doesn't be changed on some widget of gtk2 programs.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-06 19:36 EDT by sangu
Modified: 2009-12-18 01:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:22:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2008-09-06 19:36:51 EDT
Description of problem:
Pointer theme doesn't be changed on some widget of  gtk2 programs.

Version-Release number of selected component (if applicable):
2.23.90-1.fc10.i386

How reproducible:
always

Steps to Reproduce:
1. launch a gtk2 application and non-gtk2 application (openoffice.org)
2. launch gnome-appearance-properties.
3. Change pointer name or size on Customize Theme
  
Actual results:


Expected results:


Additional info:
gtk2-2.14.0-4.fc10.i386
gnome-settings-daemon-2.23.91-5.fc10.i386
gnome-session-2.23.91-1.fc10.i386
Comment 1 Matthias Clasen 2008-09-06 23:01:30 EDT
Please be specific.
What pointer do you see not change in what gtk2 program ?
Comment 2 sangu 2008-09-06 23:29:56 EDT
(In reply to comment #1)
> Please be specific.
> What pointer do you see not change in what gtk2 program ?

This issue happens in all installed gtk2 programs and pointer themes.

== Test case ==
1. Launch gtk2 program , non-gtk2 program, gnome-appearance-properties.
 * ex) gcalctool, oowriter
2. Change pointer in gnome-apperance-properties.
 * Bluecurve -> LBluecurve-inverse
3. Moving mouse pointer on gcalctool and oowriter.
4.  Bluecurve pointer on gcalctool and LBluecurve-inverse pointer on oowriter.
Comment 3 Matthias Clasen 2008-09-06 23:50:13 EDT
Works fine here. 

Is gnome-settings-daemon running in your session ? 
Or is imsettings running its fake im-xsettings-daemon ?
Comment 4 sangu 2008-09-09 09:42:15 EDT
Starting GNOME with metacity, this issue doesn't happen.
This issue happens in compiz.

metacity-2.23.233-1.fc10.i386
compiz-0.7.6-10.fc10.i386
Comment 5 Bug Zapper 2008-11-25 21:58:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Matěj Cepl 2009-11-17 07:01:00 EST
Switching incorrect assignees to the default one.
Comment 8 Bug Zapper 2009-11-18 03:21:55 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 01:22:18 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.